Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml
Class SymbolTable.SymbolInfo

    java.lang.Object
      com.dbxml.xml.SymbolTable.SymbolInfo

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SymbolTable

public final class SymbolTable.SymbolInfo
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`QName` | `qname`
`int` | `symbol`

Constructor Summary
`SymbolTable.SymbolInfo(QName qname, int symbol)`

Method Summary
`QName` | `getQName()`
`int` | `getSymbolID()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qname

    public QName qname

### symbol

    public int symbol

Constructor Detail

### SymbolTable.SymbolInfo

    public SymbolTable.SymbolInfo(QName qname,
                                  int symbol)

Method Detail

### getQName

    public QName getQName()

### getSymbolID

    public int getSymbolID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group